# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "micro_traffic_sim"
version = "0.1.0"
authors = ["Dmitrii Lopanov <sexykdi@gmail.com>"]
build = "src/build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "gRPC interface for microscopic traffic simulation via cellular automata"
homepage = "https://github.com/LdDl/micro_traffic_sim_grpc"
documentation = "https://docs.rs/micro_traffic_sim"
readme = "README.md"
keywords = [
    "traffic",
    "simulation",
    "grpc",
    "cellular-automata",
    "transportation",
]
categories = [
    "simulation",
    "science",
    "api-bindings",
]
license = "Apache-2.0"
repository = "https://github.com/LdDl/micro_traffic_sim_grpc"

[features]
server = []

[lib]
name = "micro_traffic_sim"
path = "src/lib.rs"

[[bin]]
name = "micro_traffic_sim"
path = "src/main.rs"

[dependencies.futures-core]
version = "0.3"

[dependencies.micro_traffic_sim_core]
version = "0.1.7"

[dependencies.prost]
version = "0.14.1"

[dependencies.prost-types]
version = "0.14.1"

[dependencies.tokio]
version = "1.40"
features = [
    "macros",
    "rt-multi-thread",
    "signal",
]

[dependencies.tokio-stream]
version = "0.1"

[dependencies.tonic]
version = "0.14.2"
features = ["transport"]

[dependencies.tonic-prost]
version = "0.14.2"

[dependencies.uuid]
version = "1.18.1"
features = ["v4"]

[build-dependencies.prost-build]
version = "0.14.1"

[build-dependencies.tonic-prost-build]
version = "0.14.2"
